# -*- coding: utf-8 -*-
"""
Запуск системы приоритетного пропуска (версия 2)

(c)2019 ООО "РИПАС-СПБ"
www.ripas.ru
"""
from RoadCentre import plugins,project_supported
from gui import msgOk,mainWindow,osmView
from menu import Menu
from settings import userSettings

if project_supported:
    pluginsMenu=mainWindow.findChild('QMenu','menuPlugins')
    if hasattr(plugins,'PriorityPlugin'):
        from priority2.menu import VehicleMenu,RouteMenu,VdtMenu
        from priority2 import editSettings
        Menu.devClassMenus['PrioVehicle']=VehicleMenu()
        Menu.devClassMenus['PrioRoute']=RouteMenu()
        Menu.devClassMenus['PrioVDetector']=VdtMenu()
        if pluginsMenu is not None:
            act=pluginsMenu.addAction(u'Система приоритетного проезда').connect('triggered()',editSettings)
        plugins.PriorityPlugin.setView(osmView)
    msgOk(u'Инициализации модуля "Система приоритетного проезда" выполнена')
